%define major 0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%{?filter_setup:
%filter_provides_in %{python_sitearch}/osmosdr/.*\.so$
%filter_setup
}

Name:             gr-osmosdr
Summary:          Common software API for various radio hardware
Version:          0.1.4.72
Release:          %mkrel 6
License:          GPLv3+
Group:            Communications/Radio
URL:              http://sdr.osmocom.org/trac/wiki/GrOsmoSDR
Source0:          %{name}-%{version}.tar.gz
Source1:          mk-tar
Patch0:           gr-osmosdr-0.1.1-pkgconfig-fix.patch

BuildRequires:    boost-devel
BuildRequires:    cmake
BuildRequires:    doxygen
BuildRequires:    gnuradio-utils
BuildRequires:    graphviz
BuildRequires:    pkgconfig(gnuradio-analog)
BuildRequires:    pkgconfig(gnuradio-fcd)
BuildRequires:    pkgconfig(gnuradio-fcdproplus)
BuildRequires:    pkgconfig(gnuradio-iqbalance)
BuildRequires:    pkgconfig(gnuradio-uhd)
BuildRequires:    pkgconfig(libairspy)
BuildRequires:    pkgconfig(libbladeRF)
BuildRequires:    pkgconfig(libhackrf)
BuildRequires:    pkgconfig(libmirisdr)
BuildRequires:    pkgconfig(libosmosdr)
BuildRequires:    pkgconfig(librtlsdr)
BuildRequires:    pkgconfig(uhd)
BuildRequires:    python-devel
BuildRequires:    swig 

%description
Primarily gr-osmosdr supports the OsmoSDR hardware, but it also
offers a wrapper functionality for FunCube Dongle,  Ettus UHD
and rtl-sdr devices. By using gr-osmosdr source you can take
advantage of a common software api in your application(s)
independent of the underlying radio hardware.

%package -n %{libname}
Summary:          Library files for gr-osmosdr
Group:            Communications/Radio
Requires:         %{name} = %{version}-%{release}

%description -n %{libname}
Library files for gr-osmosdr.

%package -n %{devname}
Summary:          Development files for gr-osmosdr
Group:            Communications/Radio
Requires:         %{libname} = %{version}-%{release}
Provides:         %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for gr-osmosdr.

%package doc
Summary:        Documentation files for gr-osmosdr
Group:          Communications/Radio
BuildArch:      noarch

%description doc
Documentation files for gr-osmosdr.

%prep
%setup -q
%autopatch -p1

%build
%cmake -DENABLE_DOXYGEN=on -DGR_PKG_DOC_DIR=%{_docdir}/%{name} ..
%make

%install
%make_install -C build

cat > %{name}-doc.desktop << EOF
[Desktop Entry]
Version=1.0
Name=Gr-OsmoSDR Documentation
GenericName=Gr-OsmoSDR Documentation
Exec=xdg-open /usr/share/doc/%{name}/html/index.html
Icon=
Terminal=false
Type=Application
Categories=System;Documentation;X-Mageia-CrossDesktop;
EOF

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications %{name}-doc.desktop

%files
%exclude %{_docdir}/%{name}/html
%exclude %{_docdir}/%{name}/xml
%doc AUTHORS COPYING
%{_bindir}/*

%{python_sitearch}/*
%{_datadir}/gnuradio/grc/blocks/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/osmosdr
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%doc %{_docdir}/%{name}/html
%doc %{_docdir}/%{name}/xml
%{_datadir}/applications/%{name}-doc.desktop


%changelog
* Thu Sep 08 2016 barjac <barjac> 0.1.4.72-6.mga6
+ Revision: 1050818
- rebuild for gnuradio-3.7.10.1

* Wed Jul 27 2016 barjac <barjac> 0.1.4.72-5.mga6
+ Revision: 1043772
- rebuild again for rebuilt gr-iqbal to fix arm build

* Wed Jul 27 2016 barjac <barjac> 0.1.4.72-4.mga6
+ Revision: 1043761
- Rebuild again for gr-fcdproplus built agianst new gnuradio

* Wed Jul 27 2016 tmb <tmb> 0.1.4.72-3.mga6
+ Revision: 1043736
- rebuild for new gnuradio

* Thu Apr 14 2016 barjac <barjac> 0.1.4.72-2.mga6
+ Revision: 1001550
- rebuild for gnuradio

* Tue Mar 22 2016 barjac <barjac> 0.1.4.72-1.mga6
+ Revision: 993856
- new version 0.1.4.72
- use pkgconfig style BRs where possible
- sort BRs

* Mon Feb 22 2016 barjac <barjac> 0.1.4.67-3.mga6
+ Revision: 976081
- rebuild for gnuradio

* Thu Feb 04 2016 barjac <barjac> 0.1.4.67-2.mga6
+ Revision: 935409
- build for arm

* Sat Jan 16 2016 barjac <barjac> 0.1.4.67-1.mga6
+ Revision: 924638
- new minor version 0.1.4.67

* Thu Dec 31 2015 barjac <barjac> 0.1.4.58-2.mga6
+ Revision: 917219
- rebuild for gnuradio-3.7.9

* Sun Dec 27 2015 barjac <barjac> 0.1.4.58-1.mga6
+ Revision: 915545
- rebuild for boost-1.60.0
- new snapshot
- use %%make_install macro

* Mon Dec 14 2015 barjac <barjac> 0.1.4.55-1.mga6
+ Revision: 910446
- new snapshot 0.1.4.55

* Sat Sep 26 2015 barjac <barjac> 0.1.4.48-4.mga6
+ Revision: 883948
- rebuild for boost-1.59

* Mon Sep 21 2015 barjac <barjac> 0.1.4.48-3.mga6
+ Revision: 882027
- new version 0.1.4.48

* Sun Jan 18 2015 barjac <barjac> 0.1.4.0-2.mga6
+ Revision: 811371
- Rebuild for updated gr-fcdproplus

* Sat Jan 17 2015 barjac <barjac> 0.1.4.0-1.mga5
+ Revision: 811202
- adapt for Mageia
- Import package from Fedora with thanks


* Tue Sep  2 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-16.20130729git9dfe3a63
- Rebuilt for new gnuradio

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-15.20130729git9dfe3a63
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 17 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-14.20130729git9dfe3a63
- Rebuilt for new gnuradio

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-13.20130729git9dfe3a63
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 25 2014 Petr Machata <pmachata@redhat.com> - 0.1.1-12.20130729git9dfe3a63
- Rebuild for boost 1.55.0

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 0.1.1-11.20130729git9dfe3a63
- rebuild for boost 1.55.0

* Mon May  5 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-10.20130729git9dfe3a63
- Enabled UHD support
  Resolves: rhbz#1093954

* Tue Mar 11 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-9.20130729git9dfe3a63
- Fixed pkgconfig version string

* Tue Mar 11 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-8.20130729git9dfe3a63
- Rebuilt for new gnuradio

* Mon Jan  6 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-7.20130729git9dfe3a63
- Dummy release bump due to http://fedorahosted.org/rel-eng/ticket/5823

* Mon Dec  2 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-6.20130729git9dfe3a63
- Rebuilt for new gnuradio

* Mon Nov 18 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-5.20130729git9dfe3a63
- Rebuilt for new gnuradio

* Mon Sep  2 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-4.20130729git9dfe3a63
- Rebuilt for new gnuradio

* Tue Aug  6 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-3.20130729git9dfe3a63
- Used unversioned doc directory
  Resolves: rhbz#993807

* Mon Jul 29 2013 Petr Machata <pmachata@redhat.com> - 0.1.1-2.20130729git9dfe3a63
- Rebuild for boost 1.54.0

* Mon Jul 29 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-1.20130729git9dfe3a63
- New version
- Dropped doxygen-fix and docdir-override patches (upstreamed)

* Tue May 28 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0.0.1-3.20130403gite85c68d9
- Rebuilt for new gnuradio

* Tue Apr  9 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0.0.1-2.20130403gite85c68d9
- Packaged doxygen docs and examples
- Various improvements according to comments in the merge review

* Wed Apr  3 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0.0.1-1.20130403gite85c68d9
- Initial version
